#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>

#define MAX_LINE_LENGTH 100

int main() {
  char uloha[MAX_LINE_LENGTH];

  while (fgets(uloha, MAX_LINE_LENGTH, stdin) != NULL) {
    int i;
    int isEmpty = 1;
    for (i = 0; uloha[i] != '\0'; i++) {
      if (uloha[i] != ' ' && uloha[i] != '\t' && uloha[i] != '\n' && uloha[i] != '\r') {
        isEmpty = 0;
        break;
      }
    }
    if (isEmpty) {
      continue;
    }

    int cislo1, cislo2;
    double vysledok_zadany;
    char operacia;

    if (sscanf(uloha, "%d %c %d = %lf", &cislo1, &operacia, &cislo2, &vysledok_zadany) != 4) {
      printf("CHYBA\n");
      continue;
    }

    double vysledok_skutocny;

    switch (operacia) {
      case '+':
        vysledok_skutocny = cislo1 + cislo2;
        break;
      case '-':
        vysledok_skutocny = cislo1 - cislo2;
        break;
      case '*':
        vysledok_skutocny = cislo1 * cislo2;
        break;
      case '/':
        if (cislo2 == 0) {
          printf("CHYBA\n");
          continue;
        }
        vysledok_skutocny = (double)cislo1 / cislo2;
        break;
      default:
        printf("CHYBA\n");
        continue;
    }

    if (fabs(vysledok_skutocny - vysledok_zadany) < 1e-6) {
      printf("OK\n");
    } else {
      printf("ZLE\n");
    }
  }

  return 0;
}